import 'package:json_annotation/json_annotation.dart';

import '../../bean/character_info.dart';

part 'character_custom_page_response.g.dart';

@JsonSerializable()
class CharacterCustomPageResponse {
  @JsonKey(name: "count")
  int? count;
  @JsonKey(name: "list")
  List<CharacterInfo>? characterInfos;

  CharacterCustomPageResponse({this.count, this.characterInfos});

  factory CharacterCustomPageResponse.fromJson(Map<String, dynamic> json) =>
      _$CharacterCustomPageResponseFromJson(json);
}
